FINTEK(4)

NAME
fintek - Fintek F75375 temperature sensor

SYNOPSIS
fintek* at iic? flags 0x0000

DESCRIPTION
The fintek driver provides support for the Fintek F75375 temperature sensor and fan controller. The sensor possesses a collection of sensor values which are made available through the sysctl(8) interface:

    $ sysctl hw.sensors.fintek0
    hw.sensors.fintek0.temp0=31.00 degC
    hw.sensors.fintek0.temp1=29.00 degC
    hw.sensors.fintek0.fan0=0 RPM
    hw.sensors.fintek0.fan1=0 RPM
    hw.sensors.fintek0.volt0=1.72 V DC (VCC)
    hw.sensors.fintek0.volt1=1.34 V DC
    hw.sensors.fintek0.volt2=1.73 V DC
    hw.sensors.fintek0.volt3=0.90 V DC

On some machines the fans will not function properly with the chip in default mode. Setting flags to 0x0001 will make the fans run at full speed to prevent overheating.

SEE ALSO
iic(4), intro(4), sensorsd(8), sysctl(8)

AUTHORS
-nosplit The fintek driver was written by Dale Rahn <drahn@openbsd.org>.